{ziska pocet nalezenych kesi}
function GetFoundCount: integer;
begin
  Result := GEOGET_DB.GetTableValue('SELECT count(*) '+
                                    'FROM geocache '+
                                    'WHERE dtfound > 0');
end;

{ziska pocet nalezenych a zalozenych kesi}
function GetFoundAndHidden: integer;
begin
  Result := GEOGET_DB.GetTableValue('SELECT count(*) '+
                                    'FROM geocache '+
                                    'WHERE (dtfound > 0) OR (author LIKE '''+AnsiToUTF(GEOGET_OWNER)+''')');
end;

{ziska seznam ID vlastnich kesi}
function GetOwnCachesList: TStringList;
begin
  GEOGET_DB.GetTableStrings('SELECT id '+
                            'FROM geocache '+
                            'WHERE author LIKE '''+AnsiToUTF(GEOGET_OWNER)+'''',Result);
end;

{ziska seznam ID kesi bez logu o nalezeni}
function GetFoundCachesWithoutLogList: TStringList;
begin
  GEOGET_DB.GetTableStrings('SELECT * '+
                            'FROM geocache '+
                            'WHERE dtfound > 0 AND id NOT IN ('+
                              'SELECT id '+
                              'FROM geolog '+
                              'WHERE finder LIKE '''+AnsiToUTF(GEOGET_OWNER)+''' AND type IN (''Found it'',''Webcam Photo Taken'',''Attended''))',Result);
end;

{ziska pocet FTF (kesi s tagem FTF s hodnotou FTF)}
function GetFtfCount: integer;
begin
  Result := GEOGET_DB.GetTableValue('SELECT count(*) '+
                                    'FROM geocache '+
                                    'WHERE dtfound > 0 AND id IN (SELECT id '+
                                                                 'FROM geotag ' +
  			                                                         'WHERE (ptrkat like (SELECT key '+
                                                                                     'FROM geotagcategory '+
                                                                                     'WHERE value = ''FTF'')) ' +
  			                                                         'AND (ptrvalue like (SELECT key '+
                                                                                     'FROM geotagvalue '+
                                                                                     'WHERE value = ''FTF'')))');
end;

