function ExportExtension: string;
begin
  result := 'TXT';
end;

function ExportDescription: string;
begin
  result := 'Seznam nalezu pro GC.CZ';
end;

function ExportHint: string;
begin
  result := 'Generate list of your finds. (Designed for geocaching.cz services!)';
  if copy(GetCurrentLanguage, 1, 2) = 'cs' then
    result := 'Vygeneruje seznam nlez uren pro run import na geocaching.cz.';
end;

function ExportHeader: string;
begin
  result := '';
end;

function ExportFooter: string;
begin
  result := '';
end;

function ExportPoint: string;
var
  s: string;
  n: integer;
begin
  Result := '';
  if (Gc.IsFound) then
    Result := GC.ID + ';' + formatdatetime('yyyy"-"mm"-"dd', GC.Found) + CRLF;
end;

function ExportAfter(value: string): string;
begin
  result := '';
  RunShell('http://www.geocaching.cz/nalezy.php');
end;
