//GeoGet 2

function ExportExtension: string;
begin
  result := 'TXT';
end;

function ExportDescription: string;
begin
  result := 'Field Notes';
end;

function ExportHint: string;
begin
  result := 'Field Notes file for transfer your finds to geocaching.com.';
  if copy(GetCurrentLanguage, 1, 2) = 'cs' then
    result := 'Field Notes soubor pro penesen Vaich nlez na geocaching.com.)';
end;


function ExportHeader: string;
begin
  Result := #$EF + #$BB + #$BF;
end;

function ExportFooter: string;
begin
  Result := '';
end;

function ExportPoint: string;
var
  dt: TDateTime;
  dtt: tDateTime;
  lt: string;
begin
  dt := GC.Found + GC.FoundTime;
  dtt := GC.FoundTime;
  lt := 'Found it';
  if dt = 0 then
  begin
    lt := 'Write note';
    dt := now;
    dtt := now;
  end;
  Result := GC.ID + ',';
  Result := Result + formatdatetime('yyyy"-"mm"-"dd"T"hh":"nn"Z"', LocalToUTC(dt)) + ',';
  Result := Result + lt + ',';
  Result := Result + '"' + formatdatetime('hh":"nn" "', dtt) + '"' + CRLF;
end;