function ExportExtension: string;
begin
  result := 'TXT';
end;

function ExportDescription: string;
begin
  result := 'Backup "found" status to file';
end;

function ExportHeader: string;
begin
  result := '';
end;

function ExportFooter: string;
begin
  result := '';
end;

function ExportPoint: string;
begin
  Result := '';
  if (Gc.IsFound) then
  begin
    Result := GC.ID + ';' + formatdatetime('yyyy"-"mm"-"dd', GC.Found)
      + ';' + formatdatetime('hh:nn', GC.FoundTime);
    if GC.Comment <> '' then
      Result := Result + ';' + ReplaceString(GC.Comment, CRLF, ', ');
    Result := Result + CRLF;
  end;
end;