//Geoget2
function ExportExtension: string;
begin
  result := 'HTML';
end;

function ExportDescription: string;
begin
  result := 'HTML list';
end;

function ExportHint: string;
begin
  result := 'Open basic cache info in your web browser. Good for print!';
  if copy(GetCurrentLanguage, 1, 2) = 'cs' then
    result := 'Oteve zkldn informace o kech ve vaem webovm prohlei. Dobr pro tisk!';
end;

function ExportHeader: string;
begin
  Result := '<html>' + CRLF;
  Result := Result + '<head>' + CRLF;
  Result := Result + '<title>GeoGet cache list</title>' + CRLF;
  Result := Result + '<meta http-equiv="Content-Type" content="text/html; charset=utf-8">' + CRLF;
  Result := Result + '</head>' + CRLF;
  Result := Result + '<body>' + CRLF;
  Result := Result + '<table width="100%" border=0 column=4>' + CRLF;
end;

function ExportFooter: string;
begin
  result := '</table>' + CRLF;
  result := '</body>' + CRLF;
end;

function ExportPoint: string;
var
  n: integer;
  wcnt: integer;
begin
  wcnt := 0;
  for n := 0 to GC.Waypoints.Count - 1 do
    if GC.Waypoints[n].IsListed then
      inc(wcnt);
  Result := '  <tr>' + CRLF;
  Result := Result + '  <td rowspan='+inttostr(2 * wcnt + 2) +' valign="top"><b>' + GC.ID + '</b></td>' + CRLF;
  Result := Result + '  <td>' + GC.IDtag + '</td>' + CRLF;
  Result := Result + '  <td><b>' + '<A href="' + GC.URL + '">' + GC.Name + '</a></b></td>' + CRLF;
  Result := Result + '  <td><font face="arial, helvetica">' + ansitoutf(GC.GetCoord) + '</font></td>' + CRLF;
  Result := Result + '  </tr>' + CRLF;
  Result := Result + '  <tr>' + CRLF;
  Result := Result + '  <td colspan=3><font size=-1><i>Hint: ' + GC.hint + '</i></font></td>' + CRLF;
  Result := Result + '  </tr>' + CRLF;
  for n := 0 to GC.Waypoints.Count - 1 do
    if GC.Waypoints[n].IsListed then
    begin
      Result := Result + '  <tr>' + CRLF;
      Result := Result + '  <td>' + GC.Waypoints[n].TypeID + ' ' + GC.Waypoints[n].prefixid+ '</td>' + CRLF;
      Result := Result + '  <td><b>' + GC.Waypoints[n].Name + '</b></td>' + CRLF;
      Result := Result + '  <td><font face="arial, helvetica">' + ansitoutf(GC.Waypoints[n].GetCoord) + '</font></td>' + CRLF;
      Result := Result + '  </tr>' + CRLF;
      Result := Result + '  <tr>' + CRLF;
      Result := Result + '  <td colspan=3><font size=-1><i>' + GC.Waypoints[n].Description + '</i></font></td>' + CRLF;
      Result := Result + '  </tr>' + CRLF;
    end;  
end;

function ExportAfter(value: string): string;
begin
  Result := '';
  RunShell(value);
end; 
