//Geoget 2

var
  counter: integer;

function ExportExtension: string;
begin
  result := 'WPT';
end;

function ExportDescription: string;
begin
  result := 'OziExplorer Waypoint File';
end;

function ExportHint: string;
begin
  result := 'OZI explorer format.';
  if copy(GetCurrentLanguage, 1, 2) = 'cs' then
    result := 'Formt pro OZI explorer.';
end;

function ExportHeader: string;
begin
  Result := 'OziExplorer Waypoint File Version 1.1' + CRLF;
  Result := Result + 'WGS 84' + CRLF;
  Result := Result + 'Reserved 2' + CRLF;
  Result := Result + 'Reserved 3' + CRLF;
  counter := 1;
end;

function ExportFooter: string;
begin
  result := '';
end;

function ExportPoint: string;
var
  s: string;
  n: integer;
begin
  if GC.IsListed then
  begin
    s := IntToStr(Counter) + ',';
    Counter := Counter + 1;
    s := s + GC.ID + ' ' + GC.IDTag + ' ' + ReplaceString(UtfToAscii(GC.Name), ',', ' ') + ',';
    s := s + GC.Lat + ',' + GC.Lon + ',';
    s := s + '25569.00000,0,1,3,0,65535,,0,0,0,-777,6,0,17';
    Result := s + CRLF;
  end;
  for n := 0 to GC.Waypoints.Count - 1 do
    if GC.Waypoints[n].IsListed then
    begin
      s := IntToStr(Counter) + ',';
      Counter := Counter + 1;
      s := s + GC.ID + ' ' + GC.IDTag + ' ' + ReplaceString(UtfToAscii(GC.Waypoints[n].FullName), ',', ' ') + ',';
      s := s + GC.Waypoints[n].Lat + ',' + GC.Waypoints[n].Lon + ',';
      s := s + '25569.00000,0,1,3,0,65535,,0,0,0,-777,6,0,17';
      Result := result + s + CRLF;
    end;
end;
