function GeoJarrydbCurrentValidate : String;
begin
  Result := GeoJarrydbAllValidate;
  if Result <> RESULT_VALID Then 
      Result := Result + RESULT_INVALID;
end;

function GeoJarrydbCurrentLoadSettings(file: String) : String;
begin
  Result := RESULT_INVALID;
  if FileExists(file) then Result := GeoJarrydbAllLoadDownloadSettings(file);
end;

function GeoJarrydbCurrentSaveSettings(file: String) : String;
begin
  Result := GeoJarrydbCurrentValidate;
  if Result = RESULT_VALID then
  begin
    GeoJarrydbAllSaveQuery(file);
    Result := GeoJarrydbAllSaveDownloadSettings(file);
  end;
end;

{Get stringlist of waypoint codes}
function GeoJarrydbCurrentGetCacheList(var list: TStringList) : String;
var
   tmp : String;
begin
   Result := '';
   tmp := TMP_DIR + 'currentlist.ggt'; 
   if FileExists(tmp) then DeleteFile(tmp);
   GeoListSave(tmp); //we have to get StringList of currently listed waypoints.
   list.Clear
   if FileExists(tmp) then 
   begin
      list.LoadFromFile(tmp);
      DeleteFile(tmp);
      Result := RESULT_VALID;
   end else Result := RESULT_INVALID;
end;

function GeoJarrydbCurrentGetInfo : String;
begin
    Result := _('This query will download listings for all waypoints currently loaded in GeoGet window.');
end;
 
procedure GeoJarrydbCurrentSetDefaults;
begin

end;

procedure GeoJarrydbCurrentSetActions;
begin
  
end;
