//Export Script

function ExportExtension: string;
begin
  //Define extension of exported file
{
Result special handling:
'*' - extension will be specified by save dialog
''  - data is written into temp file only and you can copy their content in ExportAfter.
}
  result := 'HTML';
end;

function ExportDescription: string;
begin
  //description of this export
  result := 'HTML sample';
end;

function ExportHeader: string;
begin
  //return what will be written on begin of the file
  Result := '<html>' + CRLF;
  Result := Result + '<head>' + CRLF;
  Result := Result + '</head>' + CRLF;
  Result := Result + '<body>' + CRLF;
end;

function ExportFooter: string;
begin
  //return what will be written on end of the file
  result := '</body>' + CRLF;
end;

function ExportPoint: string;
begin
  //return what will be written to the file for each point
  Result := GC.ID + '<br>' + CRLF;
end;

function ExportAfter(value: string): string;
begin
  //called after exported file was finished. You can made final work with file here.
  //Non-empty result will be displayed to user.
  Result := '';
  RunShell(value);
end; 
